NetXMS Support Forum

Please login or register.

Login with username, password and session length

Author Topic: Netxms not downloadable for Ubuntu Server 18.04 LTS  (Read 98 times)

Meandmybrain

  • Newbie
  • *
  • Posts: 1
    • View Profile
Netxms not downloadable for Ubuntu Server 18.04 LTS
« on: December 06, 2018, 03:27:37 pm »

Hi,

I am trying to install NETXMS on Ubuntu Server 18.04 LTS. When I try to install netxms-server I get a notice that libzmq5 is missing and could not be installed. When I´m looking for unsuppported packages I get the information, that "netxms-release is not longer downloadable". I used http://packages.netxms.org/netxms-release_1.2_all.deb
Any idea how to solve this problem? I didn´t find any informations that 18.04 LTS is unsupported.

Thanks.
« Last Edit: December 06, 2018, 03:30:27 pm by Meandmybrain »
Logged

Victor Kirhenshtein

  • Lead Developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 6383
    • View Profile
Re: Netxms not downloadable for Ubuntu Server 18.04 LTS
« Reply #1 on: December 10, 2018, 12:03:41 pm »

Hi,

it is definitely supported, we will check this.

Best regards,
Victor
Logged

Alex Kirhenshtein

  • Team Member
  • Administrator
  • Hero Member
  • *****
  • Posts: 901
    • View Profile
Re: Netxms not downloadable for Ubuntu Server 18.04 LTS
« Reply #2 on: December 11, 2018, 02:29:02 pm »

Hello.

I just installed netxms-server package on clean Ubuntu 18.04.1 LTS without any issues.
Make sure that you include "universe" repository and run "apt-get update" prior to installing netxms-server.

Package info: https://packages.ubuntu.com/bionic/libzmq5

Installation steps:

wget http://packages.netxms.org/netxms-release_1.2_all.deb
dpkg -i netxms-release_1.2_all.deb
apt-get update
apt-get install netxms-server netxms-dbdrv-pgsql
Logged